Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I updated Tex Live 2011 a couple of days ago and I can't run XeLaTeX anymore on a document I was working on. When it runs it gets stuck and I have to abort it. Resulting in the following error. I've stripped the document down to the following MWE and I still get the problem. Any thoughts?

./Thesis
402
! Undefined control sequence.
l.402 \define@boolkey
                     {polyglossia}[xpg@]{localmarks}[false]{%
? 
Process interrupted by user
\documentclass[a4paper, 12pt, oneside]{book}

\usepackage{fontspec}                               
\setmainfont{Fontin}            
\defaultfontfeatures{Mapping=tex-text}
\usepackage{xunicode}
\usepackage{xltxtra}

\usepackage{polyglossia}                                
\setdefaultlanguage[variant=british]{english}                   
\usepackage{etoolbox}                               

\begin{document}

Blah blah blah

\end{document}
share|improve this question
    
Since you use xltxtra, you don't have to use explicitly fontspec and xunicode (neither graphicx). They are called from xltxtra. You should call them explicitly when you want to pass non-default options. If this is the case you should use them before xltxtra. –  pmav99 Sep 20 '11 at 14:06
2  
@pmav99: xltxtra is obsolete now. Just delete it. And xunicode is loaded by fontspec by default today. Then delete xunicode. (And polyglossia will load fontspec, of course) –  Leo Liu Sep 20 '11 at 14:25

1 Answer 1

up vote 17 down vote accepted

Use xkeyval package before polyglossia package like this:

\usepackage{xkeyval}
\usepackage{polyglossia}

This is a bug of polyglossia.

Update

This bug has been fixed in v1.2.0b of polyglossia, so you should no longer need to load the xkeyval package manually (although doing so will cause no problems.)

share|improve this answer
5  
3  
Note: The bug is about xkeyval. fontspec used to load xkeyval, but now it uses l3keys from LaTeX3 scheme. Some packages, like polyglossia and xeCJK, depend on fontspec and xkeyval, but don't load xkeyval explictly. Since fontspec is updated, the problem comes out. I fixed xeCJK in 2.4.4 some days ago; and polyglossia will certainly release a new version for this in days, I think. –  Leo Liu Sep 20 '11 at 14:38
    
Thanks for your clear answers. The book I was learning from was a bit out of date. –  Darling Sep 20 '11 at 15:34

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.